import java.io.*;
import java.util.*;

public class Main {
    public static void main(String[] args) throws IOException {
        int n = nextInt();
        int[] a = new int[n];
        int[][] b = new int[2][n];
        b[0][0] = 1;
        for (int i = 0; i < n; i++) {
            a[i] = nextInt();
        }
        for (int i = 0; i < n-1; i++) {
            for (int j = i+1; j < n; j++) {
                double x = (double) a[i] / (double) a[j];
                double y = (double) a[j] / (double) a[i];
                if (x == 2 || x == 3 || y == 2 || y == 3) {
                    b[0][j] = 1 + b[0][i] % 2;
                    b[1][j] = 1;
                    b[1][i] = 1;
                } else if (x == 4 || y == 4 || x == 1 || y == 1) {
                    if (b[1][j] != 1) {
                        b[0][j] = b[0][i];
                    }
                } else if (x % 1 != 0 && y % 1 != 0) {
                    if (b[1][j] != 1) {
                        b[0][j] = b[0][i];
                    }
                }
            }
        }
        for (int i = 0; i < n; i++) {
            out.print(b[0][i] + " ");
        }
        out.close();
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}